import urllib
from feed import XmlFeed

class IrpgPlayer(object):
	def __init__(self, name):
		url = 'http://idlerpg.rizon.net/xml.php?'
		url += urllib.urlencode({'player': name})
		xml = XmlFeed(url)
		xml = xml.elements('/player')[0]
		self.name = xml.text('username')
		self.is_admin = xml.bool('isadmin')
		self.level = xml.int('level')
		self.classe = xml.text('class')
		self.ttl = xml.int('ttl')
		self.idled_for = xml.int('totalidled')
		self.is_online = xml.bool('online')
		alignment = xml.text('alignment')
		if alignment == 'g':
			self.alignment = 'Good'
		elif alignment == 'e':
			self.alignment = 'Evil'
		else:
			self.alignment = 'Neutral'
